Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 9706d88b71e719f590147b9914149630bce2f1d2)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -11,5 +11,5 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-from __future__ import print_function
+
 
 import re
@@ -142,5 +142,5 @@
         Given an ID create a fitproblem container
         """
-        if page_id in self.page_finder.iterkeys():
+        if page_id in iter(self.page_finder.keys()):
             del self.page_finder[page_id]
 
@@ -335,5 +335,5 @@
             if temp:
                 # Set the new plugin model list for all fit pages
-                for uid, page in self.fit_panel.opened_pages.iteritems():
+                for uid, page in self.fit_panel.opened_pages.items():
                     if hasattr(page, "formfactorbox"):
                         page.model_list_box = temp
@@ -350,5 +350,5 @@
                                 page.formfactorbox.SetLabel(current_val)
         except:
-            logger.error("update_custom_combo: %s", sys.exc_value)
+            logger.error("update_custom_combo: %s", sys.exc_info()[1])
 
     def set_edit_menu(self, owner):
@@ -556,5 +556,5 @@
         else:
             if len(data_list) > MAX_NBR_DATA:
-                from fitting_widgets import DataDialog
+                from .fitting_widgets import DataDialog
                 dlg = DataDialog(data_list=data_list, nb_data=MAX_NBR_DATA)
                 if dlg.ShowModal() == wx.ID_OK:
@@ -576,5 +576,5 @@
                         self.add_fit_page(data=[data])
             except:
-                msg = "Fitting set_data: " + str(sys.exc_value)
+                msg = "Fitting set_data: " + str(sys.exc_info()[1])
                 wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
 
@@ -590,5 +590,5 @@
                 msg = "Fitting: cannot deal with the theory received"
                 evt = StatusEvent(status=msg, info="error")
-                logger.error("set_theory " + msg + "\n" + str(sys.exc_value))
+                logger.error("set_theory " + msg + "\n" + str(sys.exc_info()[1]))
                 wx.PostEvent(self.parent, evt)
 
@@ -602,5 +602,5 @@
         """
         from pagestate import PageState
-        from simfitpage import SimFitPageState
+        from .simfitpage import SimFitPageState
         if isinstance(state, PageState):
             state = state.clone()
@@ -713,5 +713,5 @@
         if fid is None:
             return
-        if uid in self.page_finder.keys():
+        if uid in list(self.page_finder.keys()):
             self.page_finder[uid].set_weight(flag=flag, is2d=is2d)
 
@@ -726,5 +726,5 @@
         :param qmax: maximum  value of the fit range
         """
-        if uid in self.page_finder.keys():
+        if uid in list(self.page_finder.keys()):
             self.page_finder[uid].set_range(qmin=qmin, qmax=qmax, fid=fid)
 
@@ -737,5 +737,5 @@
         :param uid: the id related to a page contaning fitting information
         """
-        if uid in self.page_finder.keys():
+        if uid in list(self.page_finder.keys()):
             self.page_finder[uid].schedule_tofit(value)
 
@@ -756,5 +756,5 @@
         """
         sim_page_id = self.sim_page.uid
-        for uid, value in self.page_finder.iteritems():
+        for uid, value in self.page_finder.items():
             if uid != sim_page_id and uid != self.batch_page.uid:
                 model_list = value.get_model()
@@ -821,5 +821,5 @@
         Stop the fit
         """
-        if uid in self.fit_thread_list.keys():
+        if uid in list(self.fit_thread_list.keys()):
             calc_fit = self.fit_thread_list[uid]
             if calc_fit is not  None and calc_fit.isrunning():
@@ -833,7 +833,7 @@
         batch_flag = self.batch_page is not None and uid == self.batch_page.uid
         if sim_flag or batch_flag:
-            for uid, value in self.page_finder.iteritems():
+            for uid, value in self.page_finder.items():
                 if value.get_scheduled() == 1:
-                    if uid in self.fit_panel.opened_pages.keys():
+                    if uid in list(self.fit_panel.opened_pages.keys()):
                         panel = self.fit_panel.opened_pages[uid]
                         panel._on_fit_complete()
@@ -852,5 +852,5 @@
         :param draw: Determine if the theory needs to be plot
         """
-        if uid not in self.page_finder.keys():
+        if uid not in list(self.page_finder.keys()):
             return
         self.page_finder[uid].enable_smearing(flag=enable_smearer)
@@ -964,5 +964,5 @@
         list_page_id = []
         fit_id = 0
-        for page_id, page_info in self.page_finder.iteritems():
+        for page_id, page_info in self.page_finder.items():
             # For simulfit (uid give with None), do for-loop
             # if uid is specified (singlefit), do it only on the page.
@@ -991,5 +991,5 @@
 
                     pars = [str(element[1]) for element in page.param_toFit]
-                    fitproblem_list = page_info.values()
+                    fitproblem_list = list(page_info.values())
                     for fitproblem in  fitproblem_list:
                         if sim_fitter is None:
@@ -1013,5 +1013,5 @@
             except:
                 raise
-                msg = "Fitting error: %s" % str(sys.exc_value)
+                msg = "Fitting error: %s" % str(sys.exc_info()[1])
                 evt = StatusEvent(status=msg, info="error", type="stop")
                 wx.PostEvent(self.parent, evt)
@@ -1070,5 +1070,5 @@
         :param fid: the id of the fitproblem(data, model, range,etc)
         """
-        if uid not in self.page_finder.keys():
+        if uid not in list(self.page_finder.keys()):
             return
         fitproblemList = self.page_finder[uid].get_fit_problem(fid)
@@ -1116,5 +1116,5 @@
                 wx.PostEvent(self.parent, evt)
         except:
-            msg = "Creating Fit page: %s" % sys.exc_value
+            msg = "Creating Fit page: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
 
@@ -1196,9 +1196,9 @@
         # case that uid is not specified
         if uid is None:
-            for page_id in self.page_finder.keys():
+            for page_id in list(self.page_finder.keys()):
                 self.page_finder[page_id].schedule_tofit(value)
         # when uid is given
         else:
-            if uid in self.page_finder.keys():
+            if uid in list(self.page_finder.keys()):
                 self.page_finder[uid].schedule_tofit(value)
 
@@ -1234,5 +1234,5 @@
         panel = self.plot_panel
         if panel is None:
-            raise ValueError, "Fitting:_onSelect: NonType panel"
+            raise ValueError("Fitting:_onSelect: NonType panel")
         Plugin.on_perspective(self, event=event)
         self.select_data(panel)
@@ -1267,5 +1267,5 @@
         """
         uid = page_id[0]
-        if uid in self.fit_thread_list.keys():
+        if uid in list(self.fit_thread_list.keys()):
             del self.fit_thread_list[uid]
 
@@ -1293,16 +1293,16 @@
                 #get all fittable parameters of the current model
                 for param in  model.getParamList():
-                    if param  not in batch_outputs.keys():
+                    if param  not in list(batch_outputs.keys()):
                         batch_outputs[param] = []
                 for param in model.getDispParamList():
                     if not model.is_fittable(param) and \
-                        param in batch_outputs.keys():
+                        param in list(batch_outputs.keys()):
                         del batch_outputs[param]
                 # Add fitted parameters and their error
                 for param in res.param_list:
-                    if param not in batch_outputs.keys():
+                    if param not in list(batch_outputs.keys()):
                         batch_outputs[param] = []
                     err_param = "error on %s" % str(param)
-                    if err_param not in batch_inputs.keys():
+                    if err_param not in list(batch_inputs.keys()):
                         batch_inputs[err_param] = []
         msg = ""
@@ -1389,5 +1389,5 @@
                 #model
                 EMPTY = "-"
-                for key in batch_outputs.keys():
+                for key in list(batch_outputs.keys()):
                     if key not in param_list and key not in ["Chi2", "Data"]:
                         batch_outputs[key].append(EMPTY)
@@ -1432,5 +1432,5 @@
         tbatch_outputs = {}
         shownkeystr = cpage.get_copy_params()
-        for key in batch_outputs.keys():
+        for key in list(batch_outputs.keys()):
             if key in ["Chi2", "Data"] or shownkeystr.count(key) > 0:
                 tbatch_outputs[key] = batch_outputs[key]
@@ -1452,5 +1452,5 @@
         model = fitproblem.get_model()
         #fill batch result information
-        if "Data" not in batch_outputs.keys():
+        if "Data" not in list(batch_outputs.keys()):
             batch_outputs["Data"] = []
         from sas.sasgui.guiframe.data_processor import BatchCell
@@ -1482,6 +1482,6 @@
         cell.object = [data, theory_data]
         batch_outputs["Data"].append(cell)
-        for key, value in data.meta_data.iteritems():
-            if key not in batch_inputs.keys():
+        for key, value in data.meta_data.items():
+            if key not in list(batch_inputs.keys()):
                 batch_inputs[key] = []
             #if key.lower().strip() != "loader":
@@ -1489,5 +1489,5 @@
         param = "temperature"
         if hasattr(data.sample, param):
-            if param not in  batch_inputs.keys():
+            if param not in  list(batch_inputs.keys()):
                 batch_inputs[param] = []
             batch_inputs[param].append(data.sample.temperature)
@@ -1562,5 +1562,5 @@
         except:
             msg = ("Fit completed but the following error occurred: %s"
-                   % sys.exc_value)
+                   % sys.exc_info()[1])
             #import traceback; msg = "\n".join((traceback.format_exc(), msg))
             evt = StatusEvent(status=msg, info="warning", type="stop")
@@ -1650,5 +1650,5 @@
         if model is None:
             return
-        if uid not in self.page_finder.keys():
+        if uid not in list(self.page_finder.keys()):
             return
         # save the name containing the data name with the appropriate model
@@ -1903,5 +1903,5 @@
             return None
         try:
-            from model_thread import Calc2D
+            from .model_thread import Calc2D
             ## If a thread is already started, stop it
             if (self.calc_2D is not None) and self.calc_2D.isrunning():
@@ -1950,5 +1950,5 @@
             return
         try:
-            from model_thread import Calc1D
+            from .model_thread import Calc1D
             ## If a thread is already started, stop it
             if (self.calc_1D is not None) and self.calc_1D.isrunning():
@@ -1989,5 +1989,5 @@
         except:
             msg = " Error occurred when drawing %s Model 1D: " % model.name
-            msg += " %s" % sys.exc_value
+            msg += " %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 0f9ea1cee80a92f71e4bec65998ca56a3de65fd6)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -65,5 +65,5 @@
         if self.data is None:
             msg = "Compute Calc2D receive data = %s.\n" % str(self.data)
-            raise ValueError, msg
+            raise ValueError(msg)
 
         # Define matrix where data will be plotted
Index: src/sas/sasgui/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 0a3c740de7a24dad98e912cdeee179e382e3839a)
+++ src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -168,5 +168,5 @@
         i = 0
         for model in self.model_list:
-            model_id = self._format_id(model[1].keys()[0])
+            model_id = self._format_id(list(model[1].keys())[0])
             for saved_model in sim_state.model_list:
                 save_id = saved_model.pop('name')
@@ -195,8 +195,8 @@
                 param = item.pop('param_cbox')
                 equality = item.pop('egal_txt')
-                for key, value in init_map.items():
+                for key, value in list(init_map.items()):
                     model_cbox = model_cbox.replace(key, value)
                     constraint_value = constraint_value.replace(key, value)
-                for key, value in final_map.items():
+                for key, value in list(final_map.items()):
                     model_cbox = model_cbox.replace(key, value)
                     constraint_value = constraint_value.replace(key, value)
@@ -328,5 +328,5 @@
         sizer.Add(tab_used, (iy, ix), (1, 1),
                   wx.EXPAND | wx.ADJUST_MINSIZE, 0)
-        for id, value in self.page_finder.iteritems():
+        for id, value in self.page_finder.items():
             if id not in self.parent.opened_pages:
                 continue
@@ -757,10 +757,10 @@
         self.set_button.Disable()
 
-        for id, model in self.constraint_dict.iteritems():
+        for id, model in self.constraint_dict.items():
             # check if all parameters have been selected for constraint
             # then do not allow add constraint on parameters
             self.model_cbox_left.Append(str(model.name), model)
         self.model_cbox_left.Select(0)
-        for id, model in self.constraint_dict.iteritems():
+        for id, model in self.constraint_dict.items():
             # check if all parameters have been selected for constraint
             # then do not allow add constraint on parameters
@@ -814,5 +814,5 @@
         model_right = self.model_cbox_right.GetValue()
         model_b = self.model_cbox_right.GetClientData(selection_b)
-        for id, dic_model in self.constraint_dict.iteritems():
+        for id, dic_model in self.constraint_dict.items():
             if model == dic_model:
                 param_list = self.page_finder[id].get_param2fit()
@@ -857,5 +857,5 @@
         if len(self.constraints_list) != 0:
             nb_fit_param = 0
-            for id, model in self.constraint_dict.iteritems():
+            for id, model in self.constraint_dict.items():
                 nb_fit_param += len(self.page_finder[id].get_param2fit())
             # Don't add anymore
@@ -879,5 +879,5 @@
         model_cbox = wx.ComboBox(self, wx.ID_ANY, style=wx.CB_READONLY)
         model_cbox.Clear()
-        for id, model in self.constraint_dict.iteritems():
+        for id, model in self.constraint_dict.items():
             # check if all parameters have been selected for constraint
             # then do not allow add constraint on parameters
@@ -898,5 +898,5 @@
         # Remove button
         #btRemove = wx.Button(self, self.ID_REMOVE, 'Remove')
-        bt_remove = wx.Button(self, self._ids.next(), 'Remove')
+        bt_remove = wx.Button(self, next(self._ids), 'Remove')
         bt_remove.Bind(wx.EVT_BUTTON, self.on_remove,
                       id=bt_remove.GetId())
@@ -931,5 +931,5 @@
         hide buttons related constraint
         """
-        for id in self.page_finder.iterkeys():
+        for id in self.page_finder.keys():
             self.page_finder[id].clear_model_param()
 
@@ -969,5 +969,5 @@
         model = model_cbox.GetClientData(n)
         param_list = []
-        for id, dic_model in self.constraint_dict.iteritems():
+        for id, dic_model in self.constraint_dict.items():
             if model == dic_model:
                 param_list = self.page_finder[id].get_param2fit()
@@ -1056,5 +1056,5 @@
                 msg += " in combobox to set constraint! "
                 wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-            for id, value in self.constraint_dict.iteritems():
+            for id, value in self.constraint_dict.items():
                 if model == value:
                     if constraint == "":
@@ -1080,5 +1080,5 @@
                         return False
 
-                    for fid in self.page_finder[id].iterkeys():
+                    for fid in self.page_finder[id].keys():
                         # wrap in param/constraint in str() to remove unicode
                         self.page_finder[id].set_model_param(str(param),
Index: src/sas/sasgui/perspectives/invariant/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
+++ src/sas/sasgui/perspectives/invariant/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -3,5 +3,5 @@
 
 from distutils.filelist import findall
-from invariant import *
+from .invariant import *
 
 def get_data_path(media):
Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -133,5 +133,5 @@
             name = data.__class__.__name__
             msg = "Invariant use only Data1D got: [%s] " % str(name)
-            raise ValueError, msg
+            raise ValueError(msg)
         self.compute_helper(data=data)
 
@@ -169,5 +169,5 @@
                 msg += "Please select one.\n"
                 if len(data_list) > 1:
-                    from invariant_widgets import DataDialog
+                    from .invariant_widgets import DataDialog
                     dlg = DataDialog(data_list=data_1d_list, text=msg)
                     if dlg.ShowModal() == wx.ID_OK:
@@ -191,5 +191,5 @@
                     self.compute_helper(data)
                 except:
-                    msg = "Invariant Set_data: " + str(sys.exc_value)
+                    msg = "Invariant Set_data: " + str(sys.exc_info()[1])
                     wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
         else:
@@ -240,5 +240,5 @@
             msg = "invariant.save_file: the data being saved is"
             msg += " not a sas.sascalc.dataloader.data_info.Data1D object"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
     def set_state(self, state=None, datainfo=None):
@@ -258,5 +258,5 @@
                 msg = "invariant.set_state: datainfo parameter cannot"
                 msg += " be None in standalone mode"
-                raise RuntimeError, msg
+                raise RuntimeError(msg)
             # Make sure the user sees the invariant panel after loading
             # self.parent.set_perspective(self.perspective)
@@ -282,5 +282,5 @@
 
         except:
-            logger.error("invariant.set_state: %s" % sys.exc_value)
+            logger.error("invariant.set_state: %s" % sys.exc_info()[1])
 
     def on_set_state_helper(self, event=None):
@@ -320,5 +320,5 @@
         else:
             msg = "Scale can not be zero."
-            raise ValueError, msg
+            raise ValueError(msg)
         if len(new_plot.x) == 0:
             return
Index: src/sas/sasgui/perspectives/invariant/invariant_details.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_details.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant_details.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -6,5 +6,5 @@
 
 from sas.sasgui.guiframe.utils import format_number
-from invariant_widgets import OutputTextCtrl
+from .invariant_widgets import OutputTextCtrl
 # Dimensions related to chart
 RECTANGLE_WIDTH = 400.0
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -318,10 +318,10 @@
         background = self.background_tcl.GetValue().lstrip().rstrip()
         if background == "":
-            raise ValueError, "Need a background"
+            raise ValueError("Need a background")
         if check_float(self.background_tcl):
             return float(background)
         else:
             msg = "Receive invalid value for background : %s" % (background)
-            raise ValueError, msg
+            raise ValueError(msg)
 
     def get_scale(self):
@@ -331,5 +331,5 @@
         scale = self.scale_tcl.GetValue().lstrip().rstrip()
         if scale == "":
-            raise ValueError, "Need a background"
+            raise ValueError("Need a background")
         if check_float(self.scale_tcl):
             if float(scale) <= 0.0:
@@ -337,8 +337,8 @@
                 self.scale_tcl.Refresh()
                 msg = "Receive invalid value for scale: %s" % (scale)
-                raise ValueError, msg
+                raise ValueError(msg)
             return float(scale)
         else:
-            raise ValueError, "Receive invalid value for scale : %s" % (scale)
+            raise ValueError("Receive invalid value for scale : %s" % (scale))
 
     def get_contrast(self):
@@ -389,5 +389,5 @@
                 self.volume_err_tcl.SetValue(format_number(None))
                 msg = "Error occurred computing volume "
-                msg += " fraction: %s" % sys.exc_value
+                msg += " fraction: %s" % sys.exc_info()[1]
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                       info="error",
@@ -409,5 +409,5 @@
                 self.surface_err_tcl.SetValue(format_number(None))
                 msg = "Error occurred computing "
-                msg += "specific surface: %s" % sys.exc_value
+                msg += "specific surface: %s" % sys.exc_info()[1]
                 wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
                                                       type="stop"))
@@ -431,5 +431,5 @@
             self.invariant_total_err_tcl.SetValue(format_number(None))
             msg = "Error occurred computing invariant using"
-            msg += " extrapolation: %s" % sys.exc_value
+            msg += " extrapolation: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg, type="stop"))
 
@@ -454,5 +454,5 @@
                 self._manager.plot_theory(name="Low-Q extrapolation")
                 msg = "Error occurred computing low-Q "
-                msg += "invariant: %s" % sys.exc_value
+                msg += "invariant: %s" % sys.exc_info()[1]
                 wx.PostEvent(self.parent,
                              StatusEvent(status=msg, type="stop"))
@@ -462,5 +462,5 @@
                 self._manager.plot_theory(name="Low-Q extrapolation")
             except:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
 
     def get_high_qstar(self, inv, high_q=False):
@@ -488,5 +488,5 @@
                 self._manager.plot_theory(name="High-Q extrapolation")
                 msg = "Error occurred computing high-Q "
-                msg += "invariant: %s" % sys.exc_value
+                msg += "invariant: %s" % sys.exc_info()[1]
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                       type="stop"))
@@ -496,5 +496,5 @@
                 self._manager.plot_theory(name="High-Q extrapolation")
             except:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
 
     def get_qstar(self, inv):
@@ -625,5 +625,5 @@
             scale = self.get_scale()
         except:
-            msg = "Invariant Error: %s" % (sys.exc_value)
+            msg = "Invariant Error: %s" % (sys.exc_info()[1])
             wx.PostEvent(self.parent, StatusEvent(status=msg, type="stop"))
             return
@@ -641,5 +641,5 @@
             inv, npts_high = self.set_extrapolation_high(inv=inv, high_q=high_q)
         except:
-            msg = "Error occurred computing invariant: %s" % sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                   info="warning", type="stop"))
@@ -652,5 +652,5 @@
             self.get_qstar(inv=inv)
         except:
-            msg = "Error occurred computing invariant: %s" % sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                   info="warning",
@@ -675,5 +675,5 @@
         except:
             msg = r_msg + "Error occurred computing invariant: %s" % \
-                                                            sys.exc_value
+                                                            sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                   info="error",
@@ -685,5 +685,5 @@
             #compute surface and set value to txtcrtl
         except:
-            msg = "Error occurred computing invariant: %s" % sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                   info="warning",
@@ -695,5 +695,5 @@
 
         except:
-            msg = "Error occurred computing invariant: %s" % sys.exc_value
+            msg = "Error occurred computing invariant: %s" % sys.exc_info()[1]
             wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                   info="warning",
@@ -847,5 +847,5 @@
             attr.SetValue(value)
         except:
-            logger.error("Invariant state: %s", sys.exc_value)
+            logger.error("Invariant state: %s", sys.exc_info()[1])
 
     def get_bookmark_by_num(self, num=None):
@@ -864,6 +864,6 @@
             _, _, current_state, comp_state = self.state.bookmark_list[int(num)]
         except:
-            logger.error(sys.exc_value)
-            raise ValueError, "No such bookmark exists"
+            logger.error(sys.exc_info()[1])
+            raise ValueError("No such bookmark exists")
 
         # set the parameters
@@ -959,5 +959,5 @@
                     self.state.clone_state()
         except:
-            logger.error(sys.exc_value)
+            logger.error(sys.exc_info()[1])
 
         self._set_undo_flag(True)
@@ -1003,5 +1003,5 @@
                 del self.state.state_list[str(i)]
             except:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
         # Enable the undo button if it was not
         self._set_undo_flag(True)
@@ -1068,5 +1068,5 @@
                 del self.state.state_list[str(i)]
             except:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
 
         # try to add new state of the text changes in the state_list
@@ -1083,5 +1083,5 @@
             self.state.state_list[str(self.state.state_num)] = self.state.clone_state()
         except:
-            logger.error(sys.exc_value)
+            logger.error(sys.exc_info()[1])
 
         self._set_undo_flag(True)
@@ -1105,5 +1105,5 @@
             self.state.state_list[str(self.state.state_num)] = self.state.clone_state()
         except:
-            logger.error(sys.exc_value)
+            logger.error(sys.exc_info()[1])
 
     def _get_input_list(self):
@@ -1114,6 +1114,6 @@
         compute_num = self.state.saved_state['compute_num']
         # find values and put into the input list
-        for key1, value1 in self.state.state_list[str(compute_num)].iteritems():
-            for key, _ in self.state.input_list.iteritems():
+        for key1, value1 in self.state.state_list[str(compute_num)].items():
+            for key, _ in self.state.input_list.items():
                 if key == key1:
                     self.state.input_list[key] = value1
